PDLDOC(1p)

NAME
pdldoc - shell interface to PDL documentation

SYNOPSIS
pdldoc <text>

DESCRIPTION
The aim of pdldoc is to provide the same functionality as the "apropos", "help", "sig", "badinfo", and "usage" commands available in the perldl and pdl2 shells.

Think of it as the PDL equivalent of "perldoc -f".

OPTIONS

-h help
    print documentation about a PDL function or module or show a PDL manual. This is the default option.

-a apropos
    Regex search PDL documentation database.

-b badinfo
    Information on the support for bad values provided by the function.

-s sig
    prints signature of PDL function.

-u usage
    Prints usage information for a PDL function.

$PDL::Config{PDLDOC_IGNORE_AUTOLOADER}
    This PDL configuration variable may be set in the perldl.conf file to disable runtime search for documentation in PDL::AutoLoader files.

VERSION
This is pdldoc version 0.3.

AUTHOR
Doug Burke <burke at ifa dot hawaii dot edu>. Chris Marshall <chm at cpan dot org>.